PHPExcel_Writer_Excel5

# Class: PHPExcel_Writer_Excel5_Font

Source Location: /PHPExcel/Writer/Excel5/Font.php

### Class Overview

PHPExcel_Writer_Excel5_Font

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

- __construct
- setColorIndex
- writeFont

### Class Details

[line 36]
PHPExcel_Writer_Excel5_Font

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### constructor __construct [line 57]

`PHPExcel_Writer_Excel5_Font __construct( [PHPExcel_Style_Font $font = null])`

Constructor

#### Tags:

access: | public

#### Parameters:

PHPExcel_Style_Font | $font |

[ Top ]

### method setColorIndex [line 68]

`void setColorIndex( int $colorIndex)`

Set the color index

#### Tags:

access: | public

#### Parameters:

int | $colorIndex |

[ Top ]

### method writeFont [line 78]

`string writeFont( )`

Get font record data

#### Tags:

access: | public

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:16:18 +0200 by phpDocumentor 1.4.4